# Error List

{% code title="Missing apiKey" %}

```
{"error":"MISSING_ARGUMENT: apiKey","request_id":null}
```

{% endcode %}

{% code title="Wrong apiKey" %}

```
{"error":"INVALID_API_KEY","request_id":null}
```

{% endcode %}

{% code title="API key expired" %}

```
{
    "status": "error",
    "message": "API_KEY_EXPIRED",
    "result": null
}
```

{% endcode %}

{% code title="Maximum API call hit" %}

```
{
    "status": "error",
    "message": "MAX_API_CALL_EXCEEDED",
    "result": null
}
```

{% endcode %}

{% code title="Missing imageIdCard/imageBest" %}

```
{"error":"MISSING_ARGUMENTS: imageIdCard or imageBest","request_id":null}
```

{% endcode %}

{% code title="imageIdCard/imageBest's file size more than 3MB " %}

```
{"error":"PAYLOAD_TOO_LARGE"}
```

{% endcode %}

{% code title="Invalid imageIdCard/imageBest Format(Support：jpg、jpeg、png)" %}

```
{"error":"Photo format error","request_id":null}
```

{% endcode %}

{% code title="Invalid imageIdCard/imageBest has no face detected" %}

```
{"error":"FACE_NOT_FOUND","request_id":"xxxxxxxxxx"}
```

{% endcode %}

#### Error messages

| Error                          | Description                                                                                                                          |
| ------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------ |
| FACE\_TOO\_CLOSE               | A distance between face and camera is too small for preprocessing issues                                                             |
| FACE\_CLOSE\_TO\_BORDER        | Face is too close to one or more borders. May reduce the accuracy of spoofing detection because edges of face may not be seen        |
| FACE\_CROPPED                  | Face is cropped. May reduce the accuracy of spoofing detection because edges of face may not be seen                                 |
| FACE\_IS\_OCCLUDED             | There is occlusion on the face or it is difficult to see face, which degrades the quality of liveness                                |
| FACE\_NOT\_FOUND               | Face detector can't find face on image                                                                                               |
| TOO\_MANY\_FACES               | Face detector found more than one face on image                                                                                      |
| FACE\_TOO\_SMALL               | Facial area is not big enough for analysis. Either interpupillary distance(80px) or face size(224 px) is below the configured value. |
| FACE\_ANGLE\_TOO\_LARGE        | Facial out-of-plane rotation angle is extremely large                                                                                |
| FAILED\_TO\_PREDICT\_LANDMARKS | Landmarks prediction error                                                                                                           |
| UNKNOWN                        | Unhandled exception in the code                                                                                                      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-old.innov8tif.com/okayface/error-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
